=== debian/changelog ===
magics++ (4.5.0-2) unstable; urgency=medium

  * Fix cmake paths

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Oct 2020 07:29:37 +0100

magics++ (4.5.0-1) unstable; urgency=medium

  * New usptream release
  * Move Vcs-Git to point to debian/latest branch
  * Update d/gpb.conf to show use of DEP-14 branches
  * Enable EFAS coastlines, Disable ODB (deprecated)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Oct 2020 15:57:59 +0100
