## magics++ 4.5.1

=== debian/changelog ===
magics++ (4.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Nov 2020 18:09:11 +0000

magics++ (4.5.0-3) unstable; urgency=medium

  * Drop dependencies on odb-api (not used anymore)
  * Re-enable ODB, using libodc-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Nov 2020 19:15:51 +0000
