## magics++ 4.5.2

=== debian/changelog ===
magics++ (4.5.2-2) unstable; urgency=medium

  * Fix serious typo in d/control. Closes: #977354

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Dec 2020 14:55:21 +0000

magics++ (4.5.2-1) unstable; urgency=medium

  * New upstream release
  * Move default boost include to 1.74
  * Standards-Version: 4.5.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Dec 2020 12:52:34 +0000
