=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  libnetcdf-dev, libnetcdf-cxx-legacy-dev,
  libgl1-mesa-dev, libgd-dev, 
  libemos-dev (>=  2:4.3.9), libgeotiff-dev,
- libodb-api-dev (>= 0.18.1-11),
  libeccodes-dev (>= 2.13.0-3),
  libeccodes-tools,
+ libodc-dev [!powerpc !armel !armhf !i386 !mipsel],
+ odc [!powerpc !armel !armhf !i386 !mipsel],
  libemos-bin, 
  libopenjp2-7-dev,
  libaec-dev,
@@ -23,13 +24,13 @@
  libxml-parser-perl, 
  ghostscript, 
  zlib1g-dev, 
- libboost-dev | libboost1.63-dev, 
+ libboost-dev | libboost1.74-dev, 
  libproj-dev, 
  qtbase5-dev-tools, 
  qtbase5-dev, 
  qt5-qmake,
  python3-jinja2
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://software.ecmwf.int/wiki/display/MAGP/Magics
 Vcs-Browser: https://salsa.debian.org/science-team/magics.git
 Vcs-Git: https://salsa.debian.org/science-team/magics.git -b debian/latest
@@ -61,8 +62,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmagplus3v5 ( = ${binary:Version} ), ${misc:Depends}, 
- python3, libmagics++-metview-dev, libterralib-dev, magics++, libodb-api-dev
+Depends: libmagplus3v5 ( = ${binary:Version} ), 
+ ${misc:Depends}, ${ecbuild:Depends}
+ python3, libmagics++-metview-dev, libterralib-dev, magics++,
+ libodc-dev [!powerpc !armel !armhf !i386 !mipsel]
 Recommends: pkg-config
 Description: Development files for ECMWF  plotting software MAGICS++
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
@@ -78,7 +81,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: libmagplus3v5 ( = ${binary:Version} ),
- ${misc:Depends}, ${shlibs:Depends}, python3
+ ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3
 Description: Executables for the magics++ library
  Magics++ is the latest generation of the ECMWF's Meteorological plotting
  software MAGICS. Although completely redesigned in C++, it is intended to be
