## magics++ 4.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")
 find_package( ecbuild 3.4 REQUIRED )
 
-project( magics VERSION 4.5.0 LANGUAGES CXX )
+project( magics VERSION 4.5.3 LANGUAGES CXX )
 
 # make sure that the header files are installed into include/magics
 # note that this needs to be done before ecbuild_declare_project()
@@ -246,6 +246,7 @@
 ecbuild_add_resources( TARGET old_resources
 		DONT_PACK_DIRS
 		docs
+		regression
 		toolsjs
 		notebook)
