=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libmagplus3v5 ( = ${binary:Version} ), 
- ${misc:Depends}, ${ecbuild:Depends}
+ ${misc:Depends}, ${ecbuild:Depends},
  python3, libmagics++-metview-dev, libterralib-dev, magics++,
  libodc-dev [!powerpc !armel !armhf !i386 !mipsel]
 Recommends: pkg-config
