=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # To enable all, uncomment following line
 # DEB_BUILD_MAINT_OPTIONS:= hardening=+all,-pie
@@ -17,6 +20,10 @@
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 CMAKEDIR:=debian/tmp/$(LIBDIR)/cmake/magics
 
+# Fixes for 32-bit archss
+ARCH_32BIT:=   i386 armel armhf mipsel hppa hurd-i386 m68k powerpc sh4 x32
+DO_ODB:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_32BIT)),OFF,ON)
+
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
@@ -27,7 +34,7 @@
 	-DBUILD_SITE=debian \
 	-DENABLE_LIBGD=1 \
 	-DHAVE_BOOST=1 \
-	-DENABLE_ODC=0 \
+	-DENABLE_ODB=$(DO_ODB) \
 	-DENABLE_EFAS=1 \
 	-DHAVE_DLFCN_H=1 \
 	-DHAVE_INTTYPES_H=1 \
@@ -63,7 +70,6 @@
 	-DENABLE_TESTS=ON \
 	-DENABLE_GEOTIFF=ON \
 	-DGEOTIFF_INCLUDE_DIR=/usr/include/geotiff \
-	-Dodb_api_DIR=${LIBDIR}/cmake/odb_api \
 	-DENABLE_RPATHS=OFF \
 	-DENABLE_CAIRO=ON \
 	-DENABLE_BUFR=ON \
