=== debian/changelog ===
magics++ (4.6.0-2) unstable; urgency=medium

  * Rebuild against odc 1.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Mar 2021 16:17:35 +0100

magics++ (4.6.0-1) unstable; urgency=medium

  * New upstream release
  * Fix FTFBFS with g++ 11.  Closes: #984233

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2021 14:08:08 +0000
